### Function

# GObject Value register_transform_func

#### Declaration

    void
    g_value_register_transform_func (
      GType src_type,
      GType dest_type,
      GValueTransform transform_func
    )

#### Description

Registers a value transformation function for use in g_value_transform(). A previously registered transformation function for `src_type` and `dest_type` will be replaced.

This function is not directly available to language bindings.

#### Parameters

`src_type`

  Type: `GType`

  Source type.

`dest_type`

  Type: `GType`

  Target type.

`transform_func`

  Type: `GValueTransform`

  A function which transforms values of type `src_type` into value of type `dest_type`.